UpdateReport
curl --request PUT \
--url https://api.siftstack.com/api/v1/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"report": {
"reportId": "<string>",
"runId": "<string>",
"organizationId": "<string>",
"name": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"summaries": [
{
"ruleId": "<string>",
"ruleVersionId": "<string>",
"ruleVersionNumber": 123,
"reportRuleVersionId": "<string>",
"numOpen": 123,
"numFailed": 123,
"numPassed": 123,
"status": "REPORT_RULE_STATUS_UNSPECIFIED",
"statusDetails": {
"created": {},
"live": {},
"finished": {
"stdout": "<string>",
"stderr": "<string>"
},
"canceled": {}
},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"assetId": "<string>",
"displayOrder": 123,
"ruleClientKey": "<string>",
"deletedDate": "2023-11-07T05:31:56Z",
"resolvedFamilyStats": [
{
"reference": "<string>",
"familyId": "<string>",
"familyVersionId": "<string>",
"familyStatExpressionId": "<string>",
"familyStatRangeId": "<string>"
}
],
"resolvedAlignmentConfigs": [
{
"channelReferences": [
"<string>"
],
"t0": {
"timestamp": "2023-11-07T05:31:56Z"
},
"startTime": {
"timestamp": "2023-11-07T05:31:56Z"
},
"endTime": {
"timestamp": "2023-11-07T05:31:56Z"
}
}
]
}
],
"tags": [
{
"tagName": "<string>"
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"reportType": "REPORT_TYPE_UNSPECIFIED",
"reportTemplateId": "<string>",
"description": "<string>",
"rerunFromReportId": "<string>",
"jobId": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true,
"canvasExecutionId": "<string>",
"canvasStatus": "CANVAS_CELL_EXECUTION_STATUS_UNSPECIFIED"
},
"updateMask": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v1/reports"
payload = {
"report": {
"reportId": "<string>",
"runId": "<string>",
"organizationId": "<string>",
"name": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"summaries": [
{
"ruleId": "<string>",
"ruleVersionId": "<string>",
"ruleVersionNumber": 123,
"reportRuleVersionId": "<string>",
"numOpen": 123,
"numFailed": 123,
"numPassed": 123,
"status": "REPORT_RULE_STATUS_UNSPECIFIED",
"statusDetails": {
"created": {},
"live": {},
"finished": {
"stdout": "<string>",
"stderr": "<string>"
},
"canceled": {}
},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"assetId": "<string>",
"displayOrder": 123,
"ruleClientKey": "<string>",
"deletedDate": "2023-11-07T05:31:56Z",
"resolvedFamilyStats": [
{
"reference": "<string>",
"familyId": "<string>",
"familyVersionId": "<string>",
"familyStatExpressionId": "<string>",
"familyStatRangeId": "<string>"
}
],
"resolvedAlignmentConfigs": [
{
"channelReferences": ["<string>"],
"t0": { "timestamp": "2023-11-07T05:31:56Z" },
"startTime": { "timestamp": "2023-11-07T05:31:56Z" },
"endTime": { "timestamp": "2023-11-07T05:31:56Z" }
}
]
}
],
"tags": [{ "tagName": "<string>" }],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
}
],
"reportType": "REPORT_TYPE_UNSPECIFIED",
"reportTemplateId": "<string>",
"description": "<string>",
"rerunFromReportId": "<string>",
"jobId": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True,
"canvasExecutionId": "<string>",
"canvasStatus": "CANVAS_CELL_EXECUTION_STATUS_UNSPECIFIED"
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/reports"
payload := strings.NewReader("{\n \"report\": {\n \"reportId\": \"<string>\",\n \"runId\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"name\": \"<string>\",\n \"createdByUserId\": \"<string>\",\n \"modifiedByUserId\": \"<string>\",\n \"createdDate\": \"2023-11-07T05:31:56Z\",\n \"modifiedDate\": \"2023-11-07T05:31:56Z\",\n \"summaries\": [\n {\n \"ruleId\": \"<string>\",\n \"ruleVersionId\": \"<string>\",\n \"ruleVersionNumber\": 123,\n \"reportRuleVersionId\": \"<string>\",\n \"numOpen\": 123,\n \"numFailed\": 123,\n \"numPassed\": 123,\n \"status\": \"REPORT_RULE_STATUS_UNSPECIFIED\",\n \"statusDetails\": {\n \"created\": {},\n \"live\": {},\n \"finished\": {\n \"stdout\": \"<string>\",\n \"stderr\": \"<string>\"\n },\n \"canceled\": {}\n },\n \"createdDate\": \"2023-11-07T05:31:56Z\",\n \"modifiedDate\": \"2023-11-07T05:31:56Z\",\n \"assetId\": \"<string>\",\n \"displayOrder\": 123,\n \"ruleClientKey\": \"<string>\",\n \"deletedDate\": \"2023-11-07T05:31:56Z\",\n \"resolvedFamilyStats\": [\n {\n \"reference\": \"<string>\",\n \"familyId\": \"<string>\",\n \"familyVersionId\": \"<string>\",\n \"familyStatExpressionId\": \"<string>\",\n \"familyStatRangeId\": \"<string>\"\n }\n ],\n \"resolvedAlignmentConfigs\": [\n {\n \"channelReferences\": [\n \"<string>\"\n ],\n \"t0\": {\n \"timestamp\": \"2023-11-07T05:31:56Z\"\n },\n \"startTime\": {\n \"timestamp\": \"2023-11-07T05:31:56Z\"\n },\n \"endTime\": {\n \"timestamp\": \"2023-11-07T05:31:56Z\"\n }\n }\n ]\n }\n ],\n \"tags\": [\n {\n \"tagName\": \"<string>\"\n }\n ],\n \"metadata\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n }\n ],\n \"reportType\": \"REPORT_TYPE_UNSPECIFIED\",\n \"reportTemplateId\": \"<string>\",\n \"description\": \"<string>\",\n \"rerunFromReportId\": \"<string>\",\n \"jobId\": \"<string>\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true,\n \"canvasExecutionId\": \"<string>\",\n \"canvasStatus\": \"CANVAS_CELL_EXECUTION_STATUS_UNSPECIFIED\"\n },\n \"updateMask\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}ReportService
UpdateReport
Update a report.
PUT
/
api
/
v1
/
reports
UpdateReport
curl --request PUT \
--url https://api.siftstack.com/api/v1/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"report": {
"reportId": "<string>",
"runId": "<string>",
"organizationId": "<string>",
"name": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"summaries": [
{
"ruleId": "<string>",
"ruleVersionId": "<string>",
"ruleVersionNumber": 123,
"reportRuleVersionId": "<string>",
"numOpen": 123,
"numFailed": 123,
"numPassed": 123,
"status": "REPORT_RULE_STATUS_UNSPECIFIED",
"statusDetails": {
"created": {},
"live": {},
"finished": {
"stdout": "<string>",
"stderr": "<string>"
},
"canceled": {}
},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"assetId": "<string>",
"displayOrder": 123,
"ruleClientKey": "<string>",
"deletedDate": "2023-11-07T05:31:56Z",
"resolvedFamilyStats": [
{
"reference": "<string>",
"familyId": "<string>",
"familyVersionId": "<string>",
"familyStatExpressionId": "<string>",
"familyStatRangeId": "<string>"
}
],
"resolvedAlignmentConfigs": [
{
"channelReferences": [
"<string>"
],
"t0": {
"timestamp": "2023-11-07T05:31:56Z"
},
"startTime": {
"timestamp": "2023-11-07T05:31:56Z"
},
"endTime": {
"timestamp": "2023-11-07T05:31:56Z"
}
}
]
}
],
"tags": [
{
"tagName": "<string>"
}
],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": true,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true
}
],
"reportType": "REPORT_TYPE_UNSPECIFIED",
"reportTemplateId": "<string>",
"description": "<string>",
"rerunFromReportId": "<string>",
"jobId": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": true,
"canvasExecutionId": "<string>",
"canvasStatus": "CANVAS_CELL_EXECUTION_STATUS_UNSPECIFIED"
},
"updateMask": "<string>"
}
'import requests
url = "https://api.siftstack.com/api/v1/reports"
payload = {
"report": {
"reportId": "<string>",
"runId": "<string>",
"organizationId": "<string>",
"name": "<string>",
"createdByUserId": "<string>",
"modifiedByUserId": "<string>",
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"summaries": [
{
"ruleId": "<string>",
"ruleVersionId": "<string>",
"ruleVersionNumber": 123,
"reportRuleVersionId": "<string>",
"numOpen": 123,
"numFailed": 123,
"numPassed": 123,
"status": "REPORT_RULE_STATUS_UNSPECIFIED",
"statusDetails": {
"created": {},
"live": {},
"finished": {
"stdout": "<string>",
"stderr": "<string>"
},
"canceled": {}
},
"createdDate": "2023-11-07T05:31:56Z",
"modifiedDate": "2023-11-07T05:31:56Z",
"assetId": "<string>",
"displayOrder": 123,
"ruleClientKey": "<string>",
"deletedDate": "2023-11-07T05:31:56Z",
"resolvedFamilyStats": [
{
"reference": "<string>",
"familyId": "<string>",
"familyVersionId": "<string>",
"familyStatExpressionId": "<string>",
"familyStatRangeId": "<string>"
}
],
"resolvedAlignmentConfigs": [
{
"channelReferences": ["<string>"],
"t0": { "timestamp": "2023-11-07T05:31:56Z" },
"startTime": { "timestamp": "2023-11-07T05:31:56Z" },
"endTime": { "timestamp": "2023-11-07T05:31:56Z" }
}
]
}
],
"tags": [{ "tagName": "<string>" }],
"metadata": [
{
"key": {
"name": "<string>",
"type": "METADATA_KEY_TYPE_UNSPECIFIED",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
},
"stringValue": "<string>",
"numberValue": 123,
"booleanValue": True,
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True
}
],
"reportType": "REPORT_TYPE_UNSPECIFIED",
"reportTemplateId": "<string>",
"description": "<string>",
"rerunFromReportId": "<string>",
"jobId": "<string>",
"archivedDate": "2023-11-07T05:31:56Z",
"isArchived": True,
"canvasExecutionId": "<string>",
"canvasStatus": "CANVAS_CELL_EXECUTION_STATUS_UNSPECIFIED"
},
"updateMask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.siftstack.com/api/v1/reports"
payload := strings.NewReader("{\n \"report\": {\n \"reportId\": \"<string>\",\n \"runId\": \"<string>\",\n \"organizationId\": \"<string>\",\n \"name\": \"<string>\",\n \"createdByUserId\": \"<string>\",\n \"modifiedByUserId\": \"<string>\",\n \"createdDate\": \"2023-11-07T05:31:56Z\",\n \"modifiedDate\": \"2023-11-07T05:31:56Z\",\n \"summaries\": [\n {\n \"ruleId\": \"<string>\",\n \"ruleVersionId\": \"<string>\",\n \"ruleVersionNumber\": 123,\n \"reportRuleVersionId\": \"<string>\",\n \"numOpen\": 123,\n \"numFailed\": 123,\n \"numPassed\": 123,\n \"status\": \"REPORT_RULE_STATUS_UNSPECIFIED\",\n \"statusDetails\": {\n \"created\": {},\n \"live\": {},\n \"finished\": {\n \"stdout\": \"<string>\",\n \"stderr\": \"<string>\"\n },\n \"canceled\": {}\n },\n \"createdDate\": \"2023-11-07T05:31:56Z\",\n \"modifiedDate\": \"2023-11-07T05:31:56Z\",\n \"assetId\": \"<string>\",\n \"displayOrder\": 123,\n \"ruleClientKey\": \"<string>\",\n \"deletedDate\": \"2023-11-07T05:31:56Z\",\n \"resolvedFamilyStats\": [\n {\n \"reference\": \"<string>\",\n \"familyId\": \"<string>\",\n \"familyVersionId\": \"<string>\",\n \"familyStatExpressionId\": \"<string>\",\n \"familyStatRangeId\": \"<string>\"\n }\n ],\n \"resolvedAlignmentConfigs\": [\n {\n \"channelReferences\": [\n \"<string>\"\n ],\n \"t0\": {\n \"timestamp\": \"2023-11-07T05:31:56Z\"\n },\n \"startTime\": {\n \"timestamp\": \"2023-11-07T05:31:56Z\"\n },\n \"endTime\": {\n \"timestamp\": \"2023-11-07T05:31:56Z\"\n }\n }\n ]\n }\n ],\n \"tags\": [\n {\n \"tagName\": \"<string>\"\n }\n ],\n \"metadata\": [\n {\n \"key\": {\n \"name\": \"<string>\",\n \"type\": \"METADATA_KEY_TYPE_UNSPECIFIED\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n },\n \"stringValue\": \"<string>\",\n \"numberValue\": 123,\n \"booleanValue\": true,\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true\n }\n ],\n \"reportType\": \"REPORT_TYPE_UNSPECIFIED\",\n \"reportTemplateId\": \"<string>\",\n \"description\": \"<string>\",\n \"rerunFromReportId\": \"<string>\",\n \"jobId\": \"<string>\",\n \"archivedDate\": \"2023-11-07T05:31:56Z\",\n \"isArchived\": true,\n \"canvasExecutionId\": \"<string>\",\n \"canvasStatus\": \"CANVAS_CELL_EXECUTION_STATUS_UNSPECIFIED\"\n },\n \"updateMask\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
The list of fields to be updated. The fields available to be updated are name, description, archived_date,
is_archived, and metadata. An empty name is ignored and the existing name is preserved. Including
description in the mask with the field unset clears the description.
Response
A successful response.
The response is of type no response fields · object.
Was this page helpful?
⌘I